from django.contrib.auth.models import User
from rest_framework import serializers
from .models import Project, Agency, Route

class ProjectSerializer(serializers.ModelSerializer):
    class Meta:
        model = Project
        fields = '__all__'

class AgencySerializer(serializers.ModelSerializer):
    class Meta:
        model = Agency
        fields = '__all__'

class RouteSerializer(serializers.ModelSerializer):
    class Meta:
        model = Route
        fields = '__all__'

class UserSerializer(serializers.ModelSerializer):
    class Meta:
        model = User
        fields = ('id','username','first_name','last_name','email')

class AuthSerializer(serializers.Serializer):
    username = serializers.Field(source = 'user.username')
    password = serializers.Field(source = 'user.password')

    def to_representation(self, instance):
        # Implement serialization logic here
        pass