from django.urls import path, include
from rest_framework import routers
from api import views

# token
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

router = routers.DefaultRouter()
router.register(r'projects', views.ProjectViewSet)
router.register(r'agencies', views.AgencyViewSet)
router.register(r'routes', views.RouteViewSet)
router.register(r'users', views.UserViewSet)
router.register(r'auth', views.AuthViewSet, basename='auth')

urlpatterns = [
    path('', include(router.urls)),
    path('token/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
]